﻿$ErrorActionPreference = 'Stop';


$packageName= 'pragmaticworksworkbench'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.pragmaticworks.com/release/2018.2/Pragmatic_Workbench_2018.2.4.504.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs    = "/quiet /norestart"
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'Pragmatic Workbench*'
  checksum = '01FD555DBDECE631BF93C826360F9534B7CF1AC49656E28A1B36D8341D572A14'
  checksumType = 'sha256'
  checksum64 = 'MDFGRDU1NURCREVDRTYzMUJGOTNDODI2MzYwRjk1MzRCN0NGMUFDNDk2NTZFMjhBMUIzNkQ4MzQxRDU3MkExNA=='
  checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
